
Ruby - Bug #3369

Re: [ruby-cvs:32360] Ruby:r25142 (trunk): * encoding.c (rb_enc_unicode_p): defined.

05/31/2010 12:03 PM - usa (Usaku NAKAMURA)

Status: Closed   

Priority: Normal   

Assignee: naruse (Yui NARUSE)   

Target version: 1.9.2   

ruby -v: ruby 1.9.3dev (2010-05-31 trunk 28102)

[i386-mswin32]

Backport:  

Description

=begin

こんにちは、なかむら(う)です。

In message "[ruby-cvs:32360] Ruby:r25142 (trunk): * encoding.c (rb_enc_unicode_p): defined."

on Sep.29,2009 09:34:02, naruse@ruby-lang.org wrote:

naruse 2009-09-29 09:34:00 +0900 (Tue, 29 Sep 2009)

New Revision: 25142

http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=25142

Log:

* encoding.c (rb_enc_unicode_p): defined.

Returns 1 when the encoding is Unicode series

other than UTF-7 else 0.

Modified files:

trunk/ChangeLog

trunk/encoding.c

trunk/include/ruby/encoding.h

 今頃気づくなって感じですが、Windows(最近のだけかも)では拡張ラ

イブラリから見える関数ポインタアドレスと真の関数ポインタアド

レスが異なるようです。

というわけで、rb_enc_unicode_p()の方法では関数実体が一致する

ことを判定できません。

私がやるとOnigEncodingType構造体にメンバを追加するくらいしか

思いつかないですが、何か方法はないでしょうか。

それでは。

U.Nakamura usa@garbagecollect.jp

=end

History

#1 - 05/31/2010 12:04 PM - usa (Usaku NAKAMURA)

- Category set to M17N

- Status changed from Open to Assigned

- Assignee set to naruse (Yui NARUSE)

- Priority changed from 3 to Normal

- Target version set to 1.9.2

- ruby -v set to ruby 1.9.3dev (2010-05-31 trunk 28102) [i386-mswin32]

=begin
=end

#2 - 05/31/2010 02:47 PM - naruse (Yui NARUSE)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r28103.

Usaku, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end
